Project

General

Profile

Alfresco Community 5.0.d and designer-2.0.2 linux installation

Added by Rafael Visser about 4 years ago

Hi Guys...
Is there any clear tutorial which can help to install designer-2.0.2 on Alfresco 5.0.d on centos or any other linux distro?.
Readme.txt is not very clear and deploy.sh does not clarify which "modules" and "core" values can use.
I am very new in alfresco, so sorry if this question is very silly.

Thanks in advance.
RV


Replies (12)

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Gordon Liang about 4 years ago

I am also confused for the installation. Would like to see an answer as well.

If I got a correct installation, will share here...

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Mounia Azibi about 4 years ago

Hello,

You first have to install core AMPS by executing these commands in a terminal :

java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-core/target/becpg-core-$BECPG_VERSION.amp $ALF/tomcat/webapps/alfresco.war -force java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-designer/becpg-designer-core/target/becpg-designer-core-$BECPG_VERSION.amp $ALF/tomcat/webapps/alfresco.war -force

$ALF is the Alfresco folder path in your system. When you have done this, you can install the share AMPS with the following commands :

java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-share/target/becpg-share-$BECPG_VERSION.amp $ALF/tomcat/webapps/share.war -force java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-designer/becpg-designer-share/target/becpg-designer-share-$BECPG_VERSION.amp $ALF/tomcat/webapps/share.war -force

You can save a backup of your alfresco.war and share.war beforehand in case something goes wrong.

Hope this helps, if you have any further questions feel free to post them.

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Augusto Lucena about 4 years ago

Hey guys!

Are you sure the version you mentioned is correct? Where can I find the 2.02 version? Is it compatible with Alfresco 5.0.d?

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Rafael Visser about 4 years ago

Please take a look in "http://sourceforge.net/projects/becpg-community/"
rv

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Augusto Lucena about 4 years ago

Mounia Azibi a écrit :

Hello,

You first have to install core AMPS by executing these commands in a terminal :

java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-core/target/becpg-core-$BECPG_VERSION.amp $ALF/tomcat/webapps/alfresco.war -force > java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-designer/becpg-designer-core/target/becpg-designer-core-$BECPG_VERSION.amp $ALF/tomcat/webapps/alfresco.war -force

$ALF is the Alfresco folder path in your system. When you have done this, you can install the share AMPS with the following commands :

java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-share/target/becpg-share-$BECPG_VERSION.amp $ALF/tomcat/webapps/share.war -force > java -jar $ALF/bin/alfresco-mmt.jar install ./becpg-designer/becpg-designer-share/target/becpg-designer-share-$BECPG_VERSION.amp $ALF/tomcat/webapps/share.war -force

You can save a backup of your alfresco.war and share.war beforehand in case something goes wrong.

Hope this helps, if you have any further questions feel free to post them.

Hi Mounia!

Firstly, I installed Designer in Windows just for test purposes. Right now, I'm trying to get it to work with my Ubuntu (Lubuntu Distro).

Doing the manually installation process, we don't have to follow those steps??

Copy tomcat/shared/classes/designer.properties under alfresco/tomcat/shared/classes
Adapt designer.properties to your installation

I -forced them to the WAR but after having initialised the repository in the admin console, I don't see any models(it's empty) there.

Thanks.

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Augusto Lucena about 4 years ago

Anybody can assist me, please?

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Philippe Quéré about 4 years ago

Hello,

Adapt designer.properties -> you don't need it on linux

You should look at Alfresco logs and check installed modules and errors.
Please, join logs to your message if you want any help.

Best regards,

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Augusto Lucena about 4 years ago

Hi Philippe!

Thanks for the answer regarding Linux specific configuration.

I used alfresco-mmt.jar to install the AMPs and I did remove the ../tomcat/webapps/..share and alfresco folders. I found in the log that message:

2015-09-15 14:57:58,000  WARN  [repo.module.ModuleServiceImpl] [localhost-startStop-1] A previously-installed module 'becpg-share' (version 2.0.2) is not present in your distribution.

However, If I run alfresco-mmt.jar list, those are the installed AMPs for share.war:

Module 'becpg-designer-share' installed in '/opt/alfresco/tomcat/webapps/share.war'
- Title: beCPG Designer Share
- Version: 2.0.2
- Install Date: Wed Sep 09 15:28:17 BRT 2015
- Description: beCPG Share designer ui
Module 'becpg-share' installed in '/opt/alfresco/tomcat/webapps/share.war'
- Title: beCPG Vault Share
- Version: 2.0.2
- Install Date: Wed Sep 09 15:27:51 BRT 2015
- Description: beCPG Share designer ui
Module 'share-site-creators-share' installed in '/opt/alfresco/tomcat/webapps/share.war'
- Title: share-site-creators-share AMP project
- Version: 0.0.2.1507070925
- Install Date: Wed Sep 09 14:41:01 BRT 2015
- Description: Hides all "create site" links from all users except those belonging to a specific group.
Module 'uploader-plus-surf' installed in '/opt/alfresco/tomcat/webapps/share.war'
- Title: uploader-plus-surf
- Version: 1.2.1502120927
- Install Date: Wed Sep 09 14:41:00 BRT 2015
- Description: uploader-plus AMP using the Surf framework for Share 4.2.x and
Module 'de.fme.alfresco.JavascriptConsole-share' installed in '/opt/alfresco/tomcat/webapps/share.war'
- Title: fme Javascript Console Share Extension
- Version: 0.5
- Install Date: Wed Sep 09 14:40:57 BRT 2015
- Description: Adminstration console module to execute arbitrary javascript code.

And for Alfresco.war:

Module 'share-site-space-templates-repo' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: share-site-space-templates-repo AMP project
- Version: 1.0.1509041703
- Install Date: Wed Sep 09 18:29:08 BRT 2015
- Description: Manages the lifecycle of the share-site-space-templates-repo AMP (Alfresco Module Package)
Module 'share-site-creators-repo' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: share-site-creators-repo AMP project
- Version: 0.0.2.1507070924
- Install Date: Wed Sep 09 15:34:58 BRT 2015
- Description: Changes the permissions so that only members of a specific group can create sites.
Module 'de.fme.alfresco.JavascriptConsole-repo' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: fme Javascript Console Repository Extension
- Version: 0.5
- Install Date: Wed Sep 09 15:34:16 BRT 2015
- Description: Adminstration console module to execute arbitrary javascript code.
Module 'becpg-designer-core' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: beCPG Designer core
- Version: 2.0.2
- Install Date: Wed Sep 09 15:22:35 BRT 2015
- Description: BeCPG designer
Module 'becpg-core' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: beCPG Core
- Version: 2.0.2
- Install Date: Wed Sep 09 15:22:18 BRT 2015
- Description: BeCPG repository
Module 'uploader-plus-repo' installed in '/opt/alfresco/tomcat/webapps/alfresco.war'
- Title: uploader-plus-repo
- Version: 1.2.1502120927
- Install Date: Wed Sep 09 15:14:52 BRT 2015
- Description: uploader-plus AMP for Alfresco repository 4.2.x and 5.0.x

Follow as attachment the logs.
Thanks for your assistance!

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Philippe Quéré about 4 years ago

Hello,

You have an error in your log:

 ERROR [solr.core.CoreContainer] [coreLoadExecutor-5-thread-1] Unable to create core: collection1
org.apache.solr.common.SolrException: Could not load core configuration for core collection1
       at org.apache.solr.core.ConfigSetService.getConfig(ConfigSetService.java:66)
       at org.apache.solr.core.CoreContainer.create(CoreContainer.java:554)
       at org.apache.solr.core.CoreContainer$1.call(CoreContainer.java:261)
       at org.apache.solr.core.CoreContainer$1.call(CoreContainer.java:253)
       at java.util.concurrent.FutureTask.run(FutureTask.java:266)
       at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
       at java.util.concurrent.FutureTask.run(FutureTask.java:266)
       at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
       at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
       at java.lang.Thread.run(Thread.java:745)
Caused by: org.apache.solr.common.SolrException: Error loading solr config from solr/collection1/solrconfig.xml
       at org.apache.solr.core.SolrConfig.readFromResourceLoader(SolrConfig.java:148)
       at org.apache.solr.core.ConfigSetService.createSolrConfig(ConfigSetService.java:79)
       at org.apache.solr.core.ConfigSetService.getConfig(ConfigSetService.java:61)

You should first fix that error (maybe reindex your system).

Regards

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Augusto Lucena about 4 years ago

Hi!

Thanks, I didn't think that this kind of error would prevent designer to work.

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Ian Thompson almost 4 years ago

I am trying to install beCPG-designer-2.0.2.zip into the following ...

Ubuntu 15.04 server.
Alfresco 5.0.d

I have followed the manual installation instructions and no errors were produced.
On starting Alfresco, the share.log starts to contain errors and Alfresco doesn't start.
There is a message "Unsupported major.minor version 52.0".
Everything worked before applying the designer patches, so is there an incompatibility somewhere.

Thanks for any assistance!

share.log (6.49 KB) share.log

RE: Alfresco Community 5.0.d and designer-2.0.2 linux installation - Added by Matthieu Laborie almost 4 years ago

Hi,

beCPG 2.0 works only with java 8, the error you have is that you are using Java 7 or bellow.

Regards

    (1-12/12)